//Ce fichier va servir  grer les oprations relatives
//a l'acces a la mmoire EPROM

#include <p18f452.h>
#include "main.h"
#include "eeprom.h"


unsigned char EEPromLecture(unsigned char addresse)
{
	//On initialise l'eeprom
	EECON1bits.EEPGD = 0; 				//Acces a l'eeprom, pas a la flash
	EECON1bits.CFGS = 0;				//Acces a la memoire, pas aux registres de config
	EECON1bits.WREN = 0;				//Ecriture desactivee

	//On charge EEADR
	EEADR = addresse;

	//On vient faire la lecture
	EECON1bits.RD = 1;

	//On renvoie la valeur
	return EEDATA;
}

unsigned char EEPromEcriture(unsigned char addresse, unsigned char valeur)
{
	//On initialise l'eeprom
	EECON1bits.EEPGD = 0; 				//Acces a l'eeprom, pas a la flash
	EECON1bits.CFGS = 0;				//Acces a la memoire, pas aux registres de config
	EECON1bits.WREN = 1;				//autorise l'criture

	//On charge EEADR
	EEADR = addresse;

	//On charge la valeur
	EEDATA = valeur;

	//On commence l'criture
	EECON1bits.WR = 1;

	//On attend qu'elle soit finie
	while(EECON1bits.WR) { }
}
