#include <p18f452.h>
#include <delays.h>
#include "main.h"
#include "delay.h"


//Ce fichier va contenir les routines de temps ncssaires  l'xcution du programme


void DelayMS(unsigned char x)
{
	//Pour un delai de 1MS il faut attendre CPU_SPEED/1000
	while(x)
	{
		//On attend 5x1.000 cycles, soit 5 000
		Delay1KTCYx(5);
	}
}

void DelayS(unsigned char x)
{
	//Pour un delai de 1 seconde, il faut attendre CPU_SPEED instructions
	while(x)
	{
		//On attend 250x10.000 cycles, soit 2 500 000
		Delay10KTCYx(250);

		//On attend 250x10 000 cycles pour faire 5.000.000 en tout, soit 1s
		//Avec un quartz de 20mhz
		Delay10KTCYx(250);
		
		x--;
	}
}

void Delay1332US(void)
{
	//On attend 6660 instructions
	Delay1KTCYx(6);
	Delay100TCYx(6);
	Delay10TCYx(6);
}

void Delay1000Instr(unsigned char number)
{
	//Delai d'un multiple de 1000 instructions
	unsigned char i,j,k;

	for(i=255;i!=0;i--)
	{
	}
}
