//Fichier d'en-tete de rc5.c

//Definition entre RC5
#define RC5_IN							PORTBbits.RB0
#define RC5_TRIS						TRISB
#define RC5_MSQ							0b00000001

//prototypes externes
void RC5Init(void);
void RC5Reception(void);
void RC5Traitement(void);
void RC5AutoApprentissage(void);

//prototypes internes
void RC5WaitBit(unsigned char code);


//Dfinitions des touches
#define RC5_TRACK_0							0x00
#define RC5_TRACK_1							0x01
#define RC5_TRACK_2							0x02
#define RC5_TRACK_3							0x03
#define RC5_TRACK_4							0x04
#define RC5_TRACK_5							0x05
#define RC5_TRACK_6							0x06
#define RC5_TRACK_7							0x07
#define RC5_TRACK_8							0x08
#define RC5_TRACK_9							0x09
#define RC5_VOLUME_PLUS						0x10
#define RC5_VOLUME_MOINS					0x11
#define RC5_POWER							0x0C
#define RC5_DISPLAY							0x0F
#define RC5_PLAY							0x35
#define RC5_STOP							0x36
#define RC5_TRACK_NEXT						0x70
#define RC5_TRACK_PREVIOUS					0x71
